#!/bin/bash

mbytes=256
dd=/tmp/amanda-2.4.4b1/tape-src/amdd

echo each run is $mbytes megabytes

for n in 0 1 2; do mt -f /dev/nst$n rewind; done

echo
echo running parallel amdd tests
for blksz in 512 1024 4096 65536 524288 4194304; do
        cnt=$(($(($mbytes << 20)) / $blksz))
        echo -n now testing $cnt blocks of size $blksz...
        /usr/bin/time -f %E\ elapsed sh -c "
                $dd if=/dev/zero of=/dev/nst0 bs=$blksz count=$cnt 2>/dev/null &
                $dd if=/dev/zero of=/dev/nst0 bs=$blksz count=$cnt 2>/dev/null &
                $dd if=/dev/zero of=/dev/nst0 bs=$blksz count=$cnt 2>/dev/null
        "
        sleep 1 # seem to need this or I get dev busy errors
done

for n in 0 1 2; do mt -f /dev/nst$n rewind; done

echo
echo running rait amdd tests
for blksz in 512 1024 4096 65536 524288 4194304; do
        cnt=$(($(($mbytes << 20)) / $blksz))
        echo -n now testing $cnt blocks of size $blksz...
        /usr/bin/time -f %E\ elapsed sh -c \
                "$dd if=/dev/zero of=rait:/dev/{nst0,1,2} bs=$blksz \
		 count=$cnt 2>/dev/null"
        sleep 1
done
